<?php
global $db;

//print_r($_POST);
//Import the PHPMailer class into the global namespace
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

error_reporting(E_STRICT | E_ALL);
date_default_timezone_set('Europe/Madrid');
setlocale(LC_ALL,"es_ES");
require 'vendor/autoload.php'; // para utilizar las clases

$nombre = clean_input($_POST["nombre"]);
$apellidos = clean_input($_POST["apellidos"]);
$email = trim(filter_input(INPUT_POST, "email", FILTER_SANITIZE_EMAIL));
$tipo_inscripcion = $_POST["tipo_inscripcion"];
$area_comunicacion = $_POST["area_comunicacion"];
$titulo = clean_input($_POST["titulo"]);
$autores = clean_input($_POST["autores"]);
$institucion = clean_input($_POST["institucion"]);
$problema_objetivos =  clean_input($_POST["problema"]);
$marco_teorico = clean_input($_POST["marco_teorico"]);
$resultados_esperables = clean_input($_POST["resultados"]);
$ref_bibliograficas = clean_input($_POST["ref_biblio"]);
$fecha = date('Y-m-d H:i:s');

include_once 'includes/db.inc.php';

// Comprobar si el usuario ya ha enviado una propuesta
try {
    $sql = "SELECT email from resumenes where email=:email";
    $stmt = $db->prepare($sql);
    $stmt->bindValue(':email', $email);
    $stmt->execute();
    $row = $stmt->fetch(PDO::FETCH_ASSOC);
    if($row) {

        die('<div style="position: absolute;  top: 50%;  left: 50%;  transform: translate(-50%, -50%); border: 4px solid black; padding: 4px;">
             <p style="font-size: large;">Ya existe una comunicación con esa dirección de correo. 
               Si es autor de más de una comunicación, utilice la dirección de correo del otro ponente para enviarla.</p></div>');
    }
} catch (PDOException $e) {
    print "¡Error al comprobar la dirección de correos!: <br>"
        . $e->getMessage() . "<br>"
        . $e->getLine() . "<br>";
    die();
}



try {
    $sql = "INSERT INTO resumenes (nombre, apellidos, email, tipo_inscripcion, area_comunicacion, titulo,
                       autores, institucion, problema_objetivos, marco_teorico, resultados_esperables, ref_bibliograficas, fecha)
          VALUES (:nombre, :apellidos, :email, :tipo_inscripcion, :area_comunicacion, :titulo, :autores, :institucion,
                  :problema_objetivos, :marco_teorico, :resultados_esperables, :ref_bibliograficas, :fecha)";
    $stmt = $db->prepare($sql);
    $stmt->bindParam(':nombre', $nombre, PDO::PARAM_STR);
    $stmt->bindParam(':apellidos', $apellidos, PDO::PARAM_STR);
    $stmt->bindParam(':email', $email, PDO::PARAM_STR);
    $stmt->bindParam(':tipo_inscripcion', $tipo_inscripcion, PDO::PARAM_INT);
    $stmt->bindParam(':area_comunicacion', $area_comunicacion, PDO::PARAM_INT);
    $stmt->bindParam(':titulo', $titulo, PDO::PARAM_STR);
    $stmt->bindParam(':autores', $autores, PDO::PARAM_STR);
    $stmt->bindParam(':institucion', $institucion, PDO::PARAM_STR);
    $stmt->bindParam(':problema_objetivos', $problema_objetivos, PDO::PARAM_STR);
    $stmt->bindParam(':marco_teorico', $marco_teorico, PDO::PARAM_STR);
    $stmt->bindParam(':resultados_esperables', $resultados_esperables, PDO::PARAM_STR);
    $stmt->bindParam(':ref_bibliograficas', $ref_bibliograficas, PDO::PARAM_STR);
    $stmt->bindParam(':fecha', $fecha, PDO::PARAM_STR);
    $stmt->execute();
} catch (PDOException $e) {
    print "¡Error al introducior los datos en la bbdd!: <br>"
        . $e->getMessage() . "<br>"
        . $e->getLine() . "<br>";
    die();
}

function tipo_inscripcion($numero) {
    switch ($numero) {
    case 0: $cadena = "Socios: 90 euros (antes del 10 de diciembre) y 120 euros (del 11 de diciembre al 10 de enero)"; break;
    case 1: $cadena = "No socios: 150 euros (antes del 10 de diciembre) y 180 euros (del 11 de diciembre al 10 de enero)"; break;
    case 2: $cadena = "Estudiantes, previa justificación con documento acreditativo: 45 euros (antes del 10 de diciembre) y 60 euros (del 11 de diciembre al 10 de enero)"; break;
    case 3: $cadena = "Asistentes: 45€ (hasta el 10 de enero)"; break;
    default: $cadena = "";
    }
    return $cadena;
}

function area_comunicacion($numero) {
    switch ($numero) {
        case 0: $cadena = "Tema libre"; break;
        case 1: $cadena = "Cohesión, coherencia y discurso: conceptos y aplicaciones"; break;
        case 2: $cadena = "Contacto lingüístico y Diglosia"; break;
        case 3: $cadena = "El discurso sobre la salud y la enfermedad. Teorías y aplicaciones"; break;
        case 4: $cadena = "Fonética clínica"; break;
        case 5: $cadena = "La lingüística cognitiva y sus aplicaciones"; break;
        case 6: $cadena = "La psicolingüística como fuente de conocimiento teórico"; break;
        case 7: $cadena = "Lengua(s) en el tiempo: enfoques actuales en Lingüística Histórica"; break;
        case 8: $cadena = "Mecanismos de coacción en gramática"; break;
        case 9: $cadena = "Nuevas perspectivas pragmáticas en lenguas clásicas: interacción, identidad, y cortesía"; break;
        case 10: $cadena = "Pragmática cognitiva aplicada a la lengua española"; break;
        case 11: $cadena = "Retos actuales de la Lingüística Clínica en España"; break;
        case 12: $cadena = "Thinking global en los estudios de lingüística: tipología lingüística y linguodiversidad"; break;
        default: $cadena = "";
    }
    return $cadena;
}

// Mandar correo a todas
//$css_para_mail = "<head><style>.maxcharacters { alignment: right; } label {font-size: 20px;} " .
//                 "caja { border: solid 2px; text-align: justify; padding: 5px;} </style></head>\n";
$resumen =  "<strong>Nombre: </strong>" . $nombre . "<br>" .
            "<strong>Apellidos: </strong>" . $apellidos . "<br>" .
            "<strong>Email: </strong>" . $email . "<br>" .
            "<strong>Procedencia: </strong>" . $institucion . "<br>" .
            "<strong>Tipo de inscripción: </strong>" . tipo_inscripcion($tipo_inscripcion) . "<br>" .
            "<strong>Área de la comunicación: </strong>" . area_comunicacion($area_comunicacion) . "<br>" .
            "<strong>Título: </strong>" . $titulo . "<br>" .
            "<strong>Autore(s): </strong>" . $autores . "<br>" .
            "<strong>Institución: </strong>" . $institucion . "<br><br>" .
            "<strong>Problema y objetivos:</strong><br>" .
            '<div class="caja">' . $problema_objetivos  . "</div><br>" .
            "<strong>Marco teórico:</strong><br>" .
            '<div class="caja">' . $marco_teorico  . "</div><br>" .
            "<strong>Resultados:</strong><br>" .
            '<div class="caja">' . $resultados_esperables . "</div><br>" .
            "<strong>Referencias Bibliográficas:</strong>" .
            '<div class="caja">' . $ref_bibliograficas . "</div><br>\n";

$mail = new PHPMailer(true);
$mail->CharSet = 'UTF-8';
//$mail->Encoding = 'base64'; // no estamos mandando nada en especial, así que esto podría sobrar
// si queremos mandar una pàgina de html podemos leerla del disco o fabricar una
//$body = file_get_contents('contents.html');

// configuración
$mail->isSMTP();  // solo si vamos a mandar a través de un servidor smpt externo
$mail->Host = 'smtp.1and1.es';
$mail->SMTPKeepAlive = true; // SMTP connection will not close after each email sent, reduces SMTP overhead
$mail->Port = 587;
//Set the encryption mechanism to use - STARTTLS or SMTPS
$mail->SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS;
$mail->SMTPAuth = true;
// credenciales para mandar el mensaje
$mail->Username = 'secretario@revista.sel.edu.es';
$mail->Password = '20Gabriela17#';
$mail->Sender = 'secretario@revista.sel.edu.es';
// ---------
$mail->setFrom('secretaria.sel@gmail.com', html_entity_decode('Formulario Congreso'), FALSE);
$mail->addCC('carlos@laurisilva.net', html_entity_decode("Carlos Curiá"));
$mail->addCC('secretaria.sel@gmail.com', html_entity_decode("Eveling Garzón"));
$mail->addCC('marrero.victoria@gmail.com', html_entity_decode("Victoria Marrero"));
$mail->addCC('esperanza.torrego@uam.es', html_entity_decode("Esperanza Torrego"));
$mail->addReplyTo('secretaria.sel@gmail.com', html_entity_decode('Eveling Garzón'));
$mail->Sender = 'secretaria.sel@gmail.com';
$mail->Subject = 'Resumen ponencia: ' . $nombre . " " . $apellidos . " -- " . date("l jS \of F Y h:i:s A");;
$mail->isHTML(true);
//Same body for all messages, so set this before the sending loop
//If you generate a different body for each recipient (e.g. you're using a templating system),
//set it inside the loop
$mail->msgHTML($resumen);
//msgHTML also sets AltBody, but if you want a custom one, set it afterwards
$mail->AltBody = 'To view the message, please use an HTML compatible email viewer!';

try {
    $mail->send();
    //echo 'Correo mandado<br>';
    //Mark it as sent in the DB. No lo veo muy necesario aunque puede ser útil
    /*mysqli_query($mysql,"UPDATE mailinglist SET sent = TRUE WHERE email = '" . mysqli_real_escape_string($mysql, $row['email']) . "'");*/
} catch (Exception $e) {
    echo 'Mailer Error: ' . $mail->ErrorInfo . '<br>';
    //Reset the connection to abort sending this message // no necesitamos reset con BCC
    //The loop will continue trying to send to the rest of the list
    //$mail->getSMTPInstance()->reset();
}

?>
<!doctype html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/propuestas.css" rel="stylesheet">
</head>
<body>
<div class="container">
    <div class="row">
        <div class="col"></div>
        <div class="col-10">
            <h4>Ha enviado una propuesta de comunicación a la Sociedad Española de Lingüística para participar en el
                L Simposio y IV Congreso de la Sociedad española de Lingüística (2021) con los siguientes datos:</h4>
            <br>
            <?= $resumen ?>
            <br>
            <h4>En breve le contestaremos al correo que nos ha proporcionado: <?= $email ?> para comunicarle si su comunicación ha sido admitida
                y con instrucciones para que haga el ingreso de la inscripción.</h4>
        </div>
        <div class="col"></div>
    </div>

</div>
<script src="js/jquery-3.5.1.min.js"></script>
<script src="js/bootstrap.min.js"></script>
</body>
</html>



