<?php

Class Usuario {
    public int $id;
    public string $nombre;
    public string $clave;
    public string $lengua;
    public array $verbos = array();
}

//die ('al principio del fichero access.inc.php');

function userIsLoggedIn() {
    // die ('Dentro del userIsLogedIn()');
    // Si venimos del formulario de login
    if (isset($_POST['action']) and $_POST['action'] == 'login') {
        if (!isset($_POST['nombre']) or $_POST['nombre'] == '' or
            !isset($_POST['clave']) or $_POST['clave'] == '') {
            $GLOBALS['loginError'] = 'Por favor, rellene ambos campos';
            return FALSE;
        }

        $clave = md5($_POST['clave']);
        $usuario = databaseContainsUser($_POST['nombre'], $clave);
        if ($usuario == false) return false;
        $usuario->lengua = $_POST['lengua'];

        // Para mi que nunca inicializamos un objeto $usuario ¿¿??
        if ($usuario != '') {
            session_name('reglalatin');
            session_start();
            $_SESSION['loggedIn'] = TRUE;
            $_SESSION['id'] = $usuario->id;
            $_SESSION['nombre'] = $usuario->nombre;
            $_SESSION['clave']  = $usuario->clave;
            $_SESSION['lengua']  = $usuario->lengua;
            $_SESSION['verbos'] = $usuario->verbos;
            return TRUE;
        } else {
            session_name('reglalatin');
            session_start();
            unset($_SESSION['loggedIn']);
            unset($_SESSION['id']);
            unset($_SESSION['nombre']);
            unset($_SESSION['clave']);
            unset($_SESSION['lengua']);
            unset($_SESSION['verbos']);
            $GLOBALS['loginError'] = 'El usuario y/o la clave son incorrectos.';
            return FALSE;
        }
    }

    // Si venimos del botón de logout
    if (isset($_POST['action']) and $_POST['action'] == 'logout') {
        session_name('reglalatin');
        session_start();
        unset($_SESSION['loggedIn']);
        unset($_SESSION['id']);
        unset($_SESSION['nombre']);
        unset($_SESSION['clave']);
        unset($_SESSION['lengua']);
        unset($_SESSION['verbos']);
        header('Location: ' . $_POST['goto']);
        exit();
    }

    // Si venimos de cualquier otro lado
    session_name('reglalatin');
    session_start();
    // Si estamos logueados
    if (isset($_SESSION['loggedIn'])) {
        return databaseContainsUser($_SESSION['nombre'], $_SESSION['clave']);
    }
}

function databaseContainsUser($nombre, $clave) {
    //include_once $_SERVER['DOCUMENT_ROOT'] . '/reglalatin/includes/db.inc.php';
    global $db; // Tenemos que hacerla global porque está dentro de la función

    $usuario = new Usuario();

    try {
        $sql = 'SELECT id, user, password  FROM usuarios  WHERE user = :nombre AND password = :clave';
        $s = $db->prepare($sql);
        $s->bindValue(':nombre', $nombre);
        $s->bindValue(':clave', $clave);
        $s->execute();
    } catch (PDOException $e) {
        $error = 'Error al buscar el usuario:' . $e->getMessage();
        include 'error.html.php';
        exit();
    }

    $row = $s->fetch();
    // Si no se ha devuelto nada devolvemos false
    if ($row[0] == '') return false;
    // print_r($row); exit();
    $usuario->id = $row['id'];
    $usuario->nombre = $row['user'];
    $usuario->clave = $row['password'];

    // vamos a por los verbos del usuario
    try {
        $result = $db->query("SELECT verbo FROM usuario_verbo  WHERE usuario_id = $usuario->id");
    } catch (PDOException $e) {
        $error = 'Error al buscar los verbos:' . $e->getMessage();
        include 'error.html.php';
        exit();
    }

    foreach ($result as $row) {
        $usuario->verbos[] = $row['verbo'];
    }

    //print_r($partner); exit();
    //if ($row[0] == '') echo 'Esta vacio'; exit();
    return $usuario;
}

function userHasRole($role) {
    // include_once 'db.inc.php';
    global $db; // Tenemos que hacerla global porque está dentro de la función

    try {
        $sql = "SELECT COUNT(*) FROM usuarios
        INNER JOIN user_rol ON usuarios.id = userid
        INNER JOIN role ON roleid = role.id
        WHERE correo = :correo AND role.id = :roleId";
        $s = $db->prepare($sql);
        $s->bindValue(':correo', $_SESSION['correo']);
        $s->bindValue(':roleId', $role);
        $s->execute();
    } catch (PDOException $e) {
        $error = 'Error buscando roles de usuario.';
        include 'error.html.php';
        exit();
    }

    $row = $s->fetch();

    if ($row[0] > 0) {
        return TRUE;
    } else {
        return FALSE;
    }
}
