<!DOCTYPE html>
<html lang="ES">
<head>
    <meta charset="utf-8">
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/jquery-ui.min.css" rel="stylesheet">
    <link href="css/propuestas.css" rel="stylesheet">
    <title>Propuesta para el L Simposio y IV Congreso de la Sociedad española de Lingüística (2021)</title>
</head>
<body>
<div id="ayuda"></div>
<div class="container">
    <h2>Formulario para el envío de propuestas de comunicaciones para el L Simposio y IV Congreso de la Sociedad española de Lingüística (2021)</h2>
    <button id="rellenar" onclick="rellenarFormulario();">Rellenar formulario con texto predefinido</button>
    <button id="rellenar" onclick="vaciarFormulario();">Vaciar Formulario</button>
    <button class="btn btn-primary" id="btnAyuda" onclick="llamarAyuda();">Ayuda</button>
    <form class="needs-validation" id="sending_form" action="./procesar.php" method="post" target="_blank" onsubmit="return DoSubmit();" novalidate>
        <div class="form-group">
            <label for="nombre"><strong>Autor que se inscribe, Nombre:</strong></label>
            <input type="text" class="form-control" id="nombre" name="nombre" placeholder="Nombre del autor que se inscribe" required />
            <div class="valid-feedback">Correcto!</div>
            <div class="invalid-feedback">¡El nombre es necesario!</div>
        </div>

        <div class="form-group">
            <label for="apellidos"><strong>Autor que se inscribe, Apellido(s):</strong></label>
            <input type="text" class="form-control" id="apellidos" name="apellidos" placeholder="Apellido(s) del autor que se inscribe" required />
            <div class="valid-feedback">Correcto!</div>
            <div class="invalid-feedback">Los apellidos son necesarios!</div>
        </div>

        <div class="form-group">
            <label for="email"><strong>Correo Electrónico del autor que se inscribe:</strong></label>
            <input type="email" class="form-control" id="email" name="email" placeholder="Email del autor que se inscribe" required />
            <div class="valid-feedback">Correcto!</div>
            <div class="invalid-feedback">¡El correo es obligatorio!</div>
        </div>

        <div class="form-group">
            <label for="tipo_inscripcion"><strong>Tipo de inscripción</strong></label>
            <select class="form-control" id="tipo_inscripcion" name="tipo_inscripcion" required>
                <option value="0">Socios: 90 euros (antes del 10 de diciembre) y 120 euros (del 11 de diciembre al 10 de enero)</option>
                <option value="1">No socios: 150 euros (antes del 10 de diciembre) y 180 euros (del 11 de diciembre al 10 de enero)</option>
                <option value="2">Estudiantes, previa justificación con documento acreditativo: 45 euros (antes del 10 de diciembre) y 60 euros (del 11 de diciembre al 10 de enero)</option>
                <option value="3">Asistentes: 45€ (hasta el 10 de enero)</option>
            </select>
            <div class="valid-feedback">Correcto!</div>
            <div class="invalid-feedback">El tipo de inscripción es necesario!</div>
        </div>

        <div class="form-group">
            <label for="area_comunicacion"><strong>Área de la comunicación</strong></label>
            <select class="form-control" id="area_comunicacion" name="area_comunicacion" required>
                <option value="0">Tema libre</option>
                <option value="1">Cohesión, coherencia y discurso: conceptos y aplicaciones</option>
                <option value="2">Contacto lingüístico y Diglosia</option>
                <option value="3">El discurso sobre la salud y la enfermedad. Teorías y aplicaciones</option>
                <option value="4">Fonética clínica</option>
                <option value="5">La lingüística cognitiva y sus aplicaciones</option>
                <option value="6">La psicolingüística como fuente de conocimiento teórico</option>
                <option value="7">Lengua(s) en el tiempo: enfoques actuales en Lingüística Histórica</option>
                <option value="8">Mecanismos de coacción en gramática</option>
                <option value="9">Nuevas perspectivas pragmáticas en lenguas clásicas: interacción, identidad, y cortesía</option>
                <option value="10">Pragmática cognitiva aplicada a la lengua española</option>
                <option value="11">Retos actuales de la Lingüística Clínica en España</option>
                <option value="12">Thinking global en los estudios de lingüística: tipología lingüística y linguodiversidad</option>
            </select>
            <div class="valid-feedback">Correcto!</div>
            <div class="invalid-feedback">El área de la comunicación es necesaria!</div>
        </div>

        <div class="form-group">
            <label for="titulo"><strong>Título de la comunicación</strong></label>
            <input type="text" class="form-control" id="titulo" name="titulo"  placeholder="Título" required />
            <div class="valid-feedback">Correcto!</div>
            <div class="invalid-feedback">La institución de prodencia es necesaria!</div>
        </div>

        <div class="form-group">
            <label for="autores"><strong>Autor(es) de la comunicación</strong></label>
            <input type="text" class="form-control" id="autores" name="autores"  placeholder="Autor(es)" required />
            <div class="valid-feedback">Correcto!</div>
            <div class="invalid-feedback">Autor o autores de la comunicación es un campo necesario!</div>
        </div>

        <div class="form-group">
            <label for="institucion"><strong>Institución de procedencia</strong></label>
            <input type="text" class="form-control" id="institucion" name="institucion" placeholder="Institución de Procedencia" required />
            <div class="valid-feedback">Correcto!</div>
            <div class="invalid-feedback">La institución de prodencia es necesaria!</div>
        </div>

        <div class="form-group">
            <label for="problema"><strong>Problema y objetivos (máx 1000 caracteres)</strong></label>
            <textarea class="form-control" id="problema" name="problema" rows="5" maxlength="1000" required></textarea>
        </div>

        <div class="form-group">
            <label for="marco_teorico"><strong>Marco teórico  (máx 1000 caracteres)</strong></label>
            <textarea class="form-control" id="marco_teorico" name="marco_teorico" rows="5" maxlength="1000" required></textarea>
        </div>

        <div class="form-group">
            <label for="resultados"><strong>Resultados esperables (máx 1000 caracteres)</strong></label>
            <textarea class="form-control" id="resultados" name="resultados" rows="5" maxlength="1000" required></textarea>
        </div>

        <div class="form-group">
            <label for="ref_biblio"><strong>Referencias bibliográficas (solo bibliografía citada; máximo 1200 caracteres)</strong></label>
            <textarea class="form-control" id="ref_biblio" name="ref_biblio" rows="10" maxlength="1200" required></textarea>
        </div>


        <div class="form-group">
            <label for="captchita"><strong>¿Cuánto son LXX - V?</strong></label>
            <input type="text" class="form-control" id="captchita" name="captchita" maxlength="5" required />
        </div>

        <div class="form-group mt-3">
            <!--button class="btn btn-primary" type="submit">ENVIAR</button-->
            <input class="btn btn-primary" type="submit" name="enviar" value="ENVIAR" />
            <input class="btn btn-primary" type="submit" name="pdf" value="Ver PDF" />
        </div>
    </form>
</div>

<script>
    /*(function() {
        window.addEventListener('load', function() {
            var forms = document.getElementsByClassName('needs-validation');

            var validation = Array.prototype.filter.call(forms, function(form) {
                form.addEventListener('submit', function(event) {
                    if (form.checkValidity() === false) {
                        event.preventDefault();
                        event.stopPropagation();
                    }
                    form.classList.add('was-validated');
                }, false);
            });
        }, false);
    })();*/
</script>

<script src="js/jquery-3.5.1.min.js"></script>
<script src="js/popper.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<!-- jquery-ui para la ventana de ayuda -->
<script src="js/jquery-ui.min.js"></script>
<script>
    function DoSubmit() {
        var estavacio = ''; var falta = false;
        if ($('#nombre').val() === '')
            { estavacio += "- Faltan por rellenar el nombre del autor que se inscribe.\n"; falta = true;}
        if ($('#apellidos').val() === '')
            { estavacio += "- Faltan por rellenar los apellidos.\n"; falta = true;}
        if ($('#email').val() === '')
            { estavacio += "- Faltan por rellenar el correo electrónico.\n"; falta = true;}
        if ($('#titulo').val() === '')
            { estavacio += "- Faltan por rellenar el título.\n"; falta = true;}
        if ($('#autores').val() === '')
            { estavacio+= "- Faltan por rellenar los autores.\n"; falta = true;}
        if ($('#institucion').val() === '')
            { estavacio += "- Faltan por rellenar la institución.\n"; falta = true;}
        if ($('#problema').val() === '')
            { estavacio += "- Faltan por rellenar el problema.\n"; falta = true;}
        if ($('#marco_teorico').val() === '')
            { estavacio += "- Faltan por rellenar el marco teórico.\n"; falta = true;}
        if ($('#resultados').val() === '')
            { estavacio += "- Faltan por rellenar los resultados.\n"; falta = true;}
        if ($('#ref_biblio').val() === '')
            { estavacio += "- Faltan por rellenar las referncias bibliográficas.\n"; falta = true;}

        if (falta == true) {
            alert(estavacio); return false;
        }

        if ($("#captchita").val() === 'LXV') {
            return true;
        } else {
            alert("Debe contestar correctamente a la pregunta del último campo para mandar o ver el formulario.");
            return false;
        }
    }
    /*
    $('#sending_form').on('submit', function(e) {
        e.preventDefault();  //prevent form from submitting
        //alert($("#captchita").val());
        if ($("#captchita").val() === 'LXV') {
            alert("Ha acertado!!");
            $("#sending_form").submit();
        }
    });*/


    let problema = document.getElementById("problema");
    problema.addEventListener("input", function (e) {
        let value = this.value;
        if (this.value.length > 1000) {
            // e.target.classList.add("valid");
            // e.target.classList.remove("invalid");
            alert("mas de 10 caracteres: " + value + " - " + this.value.length);
        } else {
            //e.target.classList.remove("valid");
            //e.target.classList.add("invalid");
            //alert("todavía puede seguir escribiendo: " + value + " - " + this.value.length);
        }
    });

    // para comprobar que la dirección de correos se ajusta
    function emailIsValid (email) {
        //return /^[^\s@]+@[^\s@]+\.[^\s@]+$/.test(email)
        return /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/.test(email)
    }

    $("#email").blur(function() {
        // es posible que esta validación haya que hacerla cuando se vaya a mandar la página
        if (emailIsValid(this.value) === false || this.value === '') alert ("La dirección de correos no es correcta");
    });

    /*let email = document.getElementById("email");
    email.addEventListener("blur", function (event) {
        if (emailIsValid(this.value) === false) alert ("La dirección de correos no es correcta");
    });*/


    /*var txts = document.getElementsByTagName('TEXTAREA');

    for(var i = 0, l = txts.length; i < l; i++) {
        if(/^[0-9]+$/.test(txts[i].getAttribute("maxlength"))) {
            var func = function() {
                var len = parseInt(this.getAttribute("maxlength"), 10);

                if(this.value.length > len) {
                    alert('Se ha exedido la longitud máxima: ' + len);
                    this.value = this.value.substr(0, len);
                    return false;
                }
            }
            txts[i].onkeyup = func;
            txts[i].onblur = func;
        }
    };*/

    /* Get all textareas that have a "maxlength" property. Now, and when later adding HTML using jQuery-scripting:
    $('textarea[maxlength]').on('keyup blur', function() {
        // Store the maxlength and value of the field.
        var maxlength = $(this).attr('maxlength');
        var val = $(this).val();

        // Trim the field if it has content over the maxlength.
        if (val.length > maxlength) {
            $(this).val(val.slice(0, maxlength));
        }
    });*/

    function rellenarFormulario () {
        // vamos a implemntar una función para rellenar automáticamente los campos con un botón
        document.getElementById("nombre").value = "Dolors";
        document.getElementById("apellidos").value = "Font-Rochés";
        document.getElementById("email").value = "dolors.font.roches@yahoo.com";
        document.getElementById("tipo_inscripcion").value = "0";
        document.getElementById("titulo").value = "ADQUISICIÓN Y APRENDIZAJE DE LA PRONUNCIACIÓN DEL CATALÁN COMO L2";
        document.getElementById("autores").value = "Font-Rotchés, Dolors; Rius-Escudé, Agnès; Torras, Francina";
        document.getElementById("institucion").value = "Universitat de Barcelona (Facultat d'Educació)";
        document.getElementById("area_comunicacion").value = "0";
        document.getElementById("problema").value =
        "Algo más de la mitad de los estudiantes que acceden a la Facultat d’Educació de la Universitat de Barcelona, " +
        "donde se les prepara para obtener el grado de maestro en Educación Infantil o Educación Primaria, no tienen el " +
        "catalán como primera lengua. Todos ellos tienen en común la presencia de dificultades en la pronunciación de " +
        "algunos sonidos característicos del catalán, lo cual, probablemente, es debido a que es una lengua que utilizan " +
        "poco o casi nunca en sus interacciones orales, aunque la comprenden.\n" +
        "En el primer curso de nuestros grados de Maestro, se ofrecen tres asignaturas obligatorias de 6 ECTS, referentes " +
        "a las tres lenguas (Llengua Catalana per a l’ensenyament, Lengua castellana para la enseñanza y Lengua inglesa), " +
        "que tienen una duración de un semestre, en las que se pretende que los alumnos adquieran un conocimiento suficiente " +
        "de cada lengua con todos aquellas capacitaciones que son necesarias para el dominio de la lengua catalana sin cometer " +
        "los errores típicos.";
        document.getElementById("marco_teorico").value =
        "La pronunciación, como destreza lingüística derivada de la fonología, suele ser un aspecto muy secundario en la enseñanza " +
        "de una lengua. En el marco de las metodologías comunicativas, no se da importancia a la práctica de la pronunciación, sin " +
        "embargo, cuando una persona habla con gran precisión gramatical, pero comete errores de pronunciación, puede perder en algunos " +
        "casos su objetivo de comunicación o sufrir un malentendido con su interlocutor.\n" +
        "A menudo, para los propios fonetistas la pronunciación es una materia secundaria. Kelly (1969) afirmaba que la " +
        "pronunciación era la cenicienta de la enseñanza de la LE, Renard (1971) hablaba del pariente pobre de la didáctica de la lengua, Göbel y Graffmann (1977) se referían a la hijastra y Stanley (2013) comentaba que los profesores no dan importancia a esta área. " +
        "Seguramente este menosprecio se ha ido perpetuando a lo largo del tiempo. Además podemos añadirle, también, un cierto desconocimiento por parte de los profesores debido, por un lado ";
        document.getElementById("resultados").value =
        "Algo más de la mitad de los estudiantes que acceden a la Facultat d’Educació de la Universitat de " +
            "Barcelona, donde se les prepara para obtener el grado de maestro en Educación Infantil o Educación " +
            "Primaria, no tienen el catalán como primera lengua. Todos ellos tienen en común la presencia de " +
            "dificultades en la pronunciación de algunos sonidos característicos del catalán, lo cual, " +
            "probablemente, es debido a que es una lengua que utilizan poco o casi nunca en sus interacciones " +
            "orales, aunque la comprenden.\n" +
            "En el primer curso de nuestros grados de Maestro, se ofrecen tres asignaturas obligatorias de 6 " +
            "ECTS, referentes a las tres lenguas (Llengua Catalana per a l’ensenyament, Lengua castellana para " +
            "la enseñanza y Lengua inglesa), que tienen una duración de un semestre, en las que se pretende que " +
            "los alumnos adquieran un conocimiento suficiente de cada lengua para poder ejercer su profesión de " +
            "forma satisfactoria. En el caso de la lengua catalana, el tiempo del que se dispone para enseñar la " +
            "pronunciación es insuficiente para muchos estudiantes. Es por este motivo, que hemos desarrollado " +
            "propuestas didácticas basadas en el método verbotonal, que contemplan el uso de las nuevas " +
            "tecnologías, como la plataforma Moodle, la web de los sonidos del catalán";
        document.getElementById("ref_biblio").value =
        "Bau, M.; Pujol, M.; Rius, A. (2007). Curs de pronunciació. Exercicis de correcció fonètica. Barcelona: PAMSA\n" +
        "Carrera Sabaté, J. y Prieto, P. (coords.) (2012-2019). Guies de pronunciació del català. http://www.ub.edu/guiesdepronunciacio [Consultada el 25 de septiembre de 2019]\n" +
        "Dalmau, M.; Miró, M; Molina, D. A. (1985). Correcció fonètica. Mètode Verbo-Tonal. Vic: EUMO.\n" +
        "Els sons del català (2009). http://www.ub.edu/sonscatala/#.html Universitat de Barcelona. [Consultada el 25 de septiembre de 2019]\n" +
        "Fabra, P. (1923). Converses Filològiques. Barcelona: Publicacions Institut d’Estudis Catalans.\n" +
        "Göbel, H. y Graffmann, H. (1977). “Ein Stiefkind des Unterrichts DaF: Ausprachschulung”, en Zielsprache Deutsch, 3.\n" +
        "Kelly, L. (1969). 25 centuries of language teaching. Rowley, MA: Newbury House.\n" +
        "Renard, R. (1971). Introduction à la mèthode verbo-tonale de correction phonetique. París: Didier.\n" +
        "Stanley, G. (2013). Language Learning with Technology: ideas for integrating technology in the classrom. Ca" +
        "Els sons del català (2009). http://www.ub.edu/sonscatala/#.html Universitat de Barcelona. [Consultada el 25 de septiembre de 2019]\n";
    }

    function vaciarFormulario () {
        // vamos a implemntar una función para rellenar automáticamente los campos con un botón
        document.getElementById("nombre").value = "";
        document.getElementById("apellidos").value = "";
        document.getElementById("email").value = "";
        document.getElementById("tipo_inscripcion").value = "0";
        document.getElementById("titulo").value = "";
        document.getElementById("autores").value = "";
        document.getElementById("institucion").value = "";
        document.getElementById("area_comunicacion").value = "0";
        document.getElementById("problema").value = "";
        document.getElementById("marco_teorico").value = "";
        document.getElementById("resultados").value = "";
        document.getElementById("ref_biblio").value = "";
    }

    function ventanita (titulo, Width) {
        //minW = minW || 300;
        let $dialogo = $("#ayuda");
        $dialogo.dialog({
            position: { my: "center top", at: "center top", of: window },
            autoOpen: false,
            modal: false,
            buttons: {
                "Cerrar la Ayuda": function() {
                    $(this).dialog("close");
                }
            },
            title: titulo,
            minWidth: 400,
            minHeight: 200,
            width: Width,
            closeOnEscape: true,
            closeText: "Cerrar",
            cache: false
        });
        $dialogo.load('ayuda.html').dialog("open");
        return false;
    }

    function llamarAyuda() {
        //alert("Llegamos hasta aquí");
        ventanita("Instrucciones de uso del formulario", 600);
    }
    llamarAyuda();

// por si acaso otro regex más sofisticado
const validate = (email) => {
    const expression
    = /(?!.*\.{2})^([a-z\d!#$%&'*+\-\/=?^_`{|}~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+(\.[a-z\d!#$%&'*+\-\/=?^_`{|}~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+)*|"((([ \t]*\r\n)?[ \t]+)?([\x01-\x08\x0b\x0c\x0e-\x1f\x7f\x21\x23-\x5b\x5d-\x7e\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|\\[\x01-\x09\x0b\x0c\x0d-\x7f\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))*(([ \t]*\r\n)?[ \t]+)?")@(([a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|[a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF][a-z\d\-._~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]*[a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])\.)+([a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|[a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF][a-z\d\-._~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]*[a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])\.?$/i;

    return expression.test(String(email).toLowerCase())
}


</script>
</body>
</html>

