<?php
require __DIR__.'/vendor/autoload.php';

use Spipu\Html2Pdf\Exception\ExceptionFormatter;
use Spipu\Html2Pdf\Exception\Html2PdfException;
use Spipu\Html2Pdf\Html2Pdf;

$nombre = $_POST["nombre"];
$apellidos = $_POST["apellidos"];
$email = $_POST["email"];
$procedencia = $_POST["procedencia"];
$tipo_inscripcion = $_POST["tipo_inscripcion"];
$area_comunicacion = $_POST["area_comunicacion"];
$titulo = $_POST["titulo"];
$autores = $_POST["autores"];
$problema = $_POST["problema"];
$marco_teorico =  $_POST["marco_teorico"];
$resultados = $_POST["resultados"];
$ref_biblio = $_POST["ref_biblio"];

try {
// para recoger un fichero con html que vamos a meter en una variable $html
    ob_start();  // inicializamos la carga del verpdf.css.php para enchufarlo a la variable
    require_once('verpdf.css');
    $html = ob_get_clean();

    $html .= '<h3 class="titulo">' . clean_input($titulo) . '</h3>';
    $html .= '<p id="autor">' . clean_input($autores) . '</p>';
    $html .= '<em><p id="filiacion">' . clean_input($procedencia) . '</p></em>';

    $html .= '<h4 class="subtitulo">Problema y objetivos</h4>';
    $html .= '<p class="parrafo">'
          . preg_replace("/$/m", '</p><p class="parrafo">',clean_input($problema)) . '</p>';

    $html .= '<h4 class="subtitulo">Marco teórico</h4>';
    $html .= '<p class="parrafo">'
          . preg_replace("/$/m", '</p><p class="parrafo">',clean_input($marco_teorico)) . '</p>';

    $html .= '<h4 class="subtitulo">Resultados esperables</h4>';
    $html .= '<p class="parrafo">'
          . preg_replace("/$/m", '</p><p class="parrafo">',clean_input($resultados)) . '</p>';

    $html .= '<h4 class="subtitulo">Referencias bibliográficas</h4>';
    $html .= '<p class="biblio"><span>- </span>'
          . preg_replace("/$/m", '</p><p class="biblio"><span>- </span>',clean_input($ref_biblio)) . '</p>';

    //echo $html;
    //exit();

    $html2pdf = new Html2Pdf('P', 'A4', 'es', 'true', 'UTF-8', array(25, 15, 25, 25));
    $html2pdf->pdf->SetDisplayMode('fullpage');
    $html2pdf->setDefaultFont('Arial');
// set font
    $html2pdf->pdf->SetFont('times', 'BI', 11); // no ha funcinado, creo
    $html2pdf->writeHTML($html);
    $html2pdf->output('resumen.pdf');
} catch (Html2PdfException $e) {
    $html2pdf->clean();

    $formatter = new ExceptionFormatter($e);
    echo $formatter->getHtmlMessage();
}
